// Code generated by MockGen. DO NOT EDIT.
// Source: module/order/service/order_service.go

// Package mock_service is a generated GoMock package.
package mock_service

import (
	context "context"
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
	models "gitlab.com/timofeev.pavel.art/go-geotask/module/order/models"
)

// MockOrderer is a mock of Orderer interface.
type MockOrderer struct {
	ctrl     *gomock.Controller
	recorder *MockOrdererMockRecorder
}

// MockOrdererMockRecorder is the mock recorder for MockOrderer.
type MockOrdererMockRecorder struct {
	mock *MockOrderer
}

// NewMockOrderer creates a new mock instance.
func NewMockOrderer(ctrl *gomock.Controller) *MockOrderer {
	mock := &MockOrderer{ctrl: ctrl}
	mock.recorder = &MockOrdererMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockOrderer) EXPECT() *MockOrdererMockRecorder {
	return m.recorder
}

// GenerateOrder mocks base method.
func (m *MockOrderer) GenerateOrder(ctx context.Context) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GenerateOrder", ctx)
	ret0, _ := ret[0].(error)
	return ret0
}

// GenerateOrder indicates an expected call of GenerateOrder.
func (mr *MockOrdererMockRecorder) GenerateOrder(ctx interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GenerateOrder", reflect.TypeOf((*MockOrderer)(nil).GenerateOrder), ctx)
}

// GetByRadius mocks base method.
func (m *MockOrderer) GetByRadius(ctx context.Context, lng, lat, radius float64, unit string) ([]models.Order, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetByRadius", ctx, lng, lat, radius, unit)
	ret0, _ := ret[0].([]models.Order)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetByRadius indicates an expected call of GetByRadius.
func (mr *MockOrdererMockRecorder) GetByRadius(ctx, lng, lat, radius, unit interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetByRadius", reflect.TypeOf((*MockOrderer)(nil).GetByRadius), ctx, lng, lat, radius, unit)
}

// GetCount mocks base method.
func (m *MockOrderer) GetCount(ctx context.Context) (int, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetCount", ctx)
	ret0, _ := ret[0].(int)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetCount indicates an expected call of GetCount.
func (mr *MockOrdererMockRecorder) GetCount(ctx interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetCount", reflect.TypeOf((*MockOrderer)(nil).GetCount), ctx)
}

// RemoveOldOrders mocks base method.
func (m *MockOrderer) RemoveOldOrders(ctx context.Context) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "RemoveOldOrders", ctx)
	ret0, _ := ret[0].(error)
	return ret0
}

// RemoveOldOrders indicates an expected call of RemoveOldOrders.
func (mr *MockOrdererMockRecorder) RemoveOldOrders(ctx interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "RemoveOldOrders", reflect.TypeOf((*MockOrderer)(nil).RemoveOldOrders), ctx)
}

// Save mocks base method.
func (m *MockOrderer) Save(ctx context.Context, order models.Order) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Save", ctx, order)
	ret0, _ := ret[0].(error)
	return ret0
}

// Save indicates an expected call of Save.
func (mr *MockOrdererMockRecorder) Save(ctx, order interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Save", reflect.TypeOf((*MockOrderer)(nil).Save), ctx, order)
}

// UpdateDelivered mocks base method.
func (m *MockOrderer) UpdateDelivered(ctx context.Context, orders []models.Order) (error, bool) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "UpdateDelivered", ctx, orders)
	ret0, _ := ret[0].(error)
	ret1, _ := ret[1].(bool)
	return ret0, ret1
}

// UpdateDelivered indicates an expected call of UpdateDelivered.
func (mr *MockOrdererMockRecorder) UpdateDelivered(ctx, orders interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "UpdateDelivered", reflect.TypeOf((*MockOrderer)(nil).UpdateDelivered), ctx, orders)
}
